DCMTK - Bug #815

Conflicting declarations of jpeg_memory_mgr may lead to invalid function calls in DCMTK's IJG
library

2018-03-09 12:51 - Michael Onken

Status: Closed Start date: 2018-03-09
Priority: Low Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour

Target version:
Module: dcmjpeg Compiler:
Operating System:

Description

There is a possibility of invalid function calls in case of specific preprocessor definitions being enabled or disabled (NEED_DARRAY
and JPEG_INTERNALS).

For a full description, see Debian bug #748403.

History

#1 - 2018-12-12 14:01 - Marco Eichelberg

- Subject changed from Possibility for invalid function calls to Conflicting declarations of jpeg_memory_mgr may lead to invalid function calls in
DCMTK's IJG library

#2 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)

#3 - 2021-09-28 11:30 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 0:00 h

Closed by commit #288053e94.
